"""Add target interval jitter.

Revision ID: 0012_add_target_interval_jitter
Revises: 0011_add_article_validity_fields
Create Date: 2026-05-07
"""
from alembic import op
import sqlalchemy as sa


revision = "0012_add_target_interval_jitter"
down_revision = "0011_add_article_validity_fields"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column("crawl_target", sa.Column("interval_jitter_sec", sa.Integer()))


def downgrade() -> None:
    op.drop_column("crawl_target", "interval_jitter_sec")
